# Prefiltering Brand Partner Embed Menus

## **Use Case**

**You’d like to provide a link to your users that will display a pre-filtered version of your menu. For example, you might want to:**

1. Display only indica products
2. Display only extracts
3. Pre-populate the search field with the search term ‘sleep’
4. Display products only available at recreational stores

## **Solution**

To achieve these use cases - and more - you will use ‘query params’. Query params are keywords that are added to your menu’s URL that will pre-filter the menu according to the terms you’ve specified.

Currently we support presetting the following fields:

1. Category: `indica, sativa, hybrid, cbd`
2. Root Types: `gear, pre-roll, extract, edible, merch, grow, tincture, flower, topical, vape`
3. Brand (useful if you own multiple customer-facing brands)
4. Store type: recreational, medical
5. Search query, *e.g.* `sleep`
6. Brand Subtype, *e.g.* `"Pax Era Pods"`
7. User Zipcode
8. Deep Linking to a specific product page
9. Deep linking to the Stores tab

**Please note that URLs should be encoded and that all presets are case sensitive.**

![](/files/aKMHUa6bcLm8b5fwWrAR)

## **How to Preset Query Params**

### **Category**

* Valid values: `indica, sativa, hybrid, cbd`
* E.g. single category: `?category=hybrid`
* E.g. multiple categories: `?category=hybrid,indica`

### Root Type

* Valid top-level values: `gear, pre-roll, extract, edible, merch, grow, tincture, flower, topical, vape`
* E.g. `?root_types=flower`
* Sub RootTypes, e.g. `?root_types=edible:Bars`

### Brand

* Valid values: any string that refers to a brand - please use HTML encoded strings
* E.g. `?brand=Kushy%20Punch`

### Store Type

* Valid values: `medical, recreational`

### Search Query

* Valid values: any string
* E.g. `?query=blue`

### Forming Compound Queries

You can form complex queries by combining multiple filters, e.g.

1. `?query=blue&category=hybrid&store_type=recreational`
2. `?query=sleep&category=hybrid,indica,sativa&root_types=edible:Bars`
3. `?query=sleep&store_type=medical`

### Brand Subtype

* Valid values: any valid brand subtype
* E.g. `?brand_subtype=Distillate%20Cartridge`

### **User Zipcode**

* Passing in a user\_zipcode will automatically set the user’s location to the zipcode
* E.g. `/?user_zipcode=95060`

### Deep Linking To Specific Product Page

* E.g. `/?product_id=1&product_name=”Blue Dream”`

### Deep Linking to Specific Store Page

* E.g. `/?store_id=68&store_name=jane-shop`

### **Deep Linking to Stores Tab**

* E.g. `/?stores_page`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/embeds/prefiltering-brand-partner-embed-menus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
